condenser_api.get_account_history
Purpose
Devuelve el historial de la cuenta (account history) — todas las operaciones de una cuenta dada. Parámetros: account:string; start:int. p. ej.: -1 para el historial inverso o cualquier número positivo; limit:int hasta 10000
account (string) | start (int) | limit (int) | |
|---|---|---|---|
"steemit" | 1000 | 1000 | Consulta la cuenta llamada steemit empezando por el elemento más reciente del historial, hasta 1.000 resultados. |
"alice" | -1 | 10000 | Consulta la cuenta llamada alice empezando por el elemento más antiguo del historial, hasta 10.000 resultados. |
Véase también: account_history_api.get_account_history, Paginated API Methods
Parameters
PARAMETERS
json
[
"",
0,
1000
]Example
Example 1
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "condenser_api.get_account_history",
"params": [
"steemit",
1000,
1000
],
"id": 1
}'Example 2
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "condenser_api.get_account_history",
"params": [
"steemit",
-1,
10000
],
"id": 1
}'